%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define oname uTidylib

Summary:       Python wrapper for tidy, from the HTML tidy project
Name:          python-tidy
Version:       0.2
Release:       4%{?dist}
License:       MIT
Group:         Development/Languages
URL:           http://utidylib.berlios.de/
Source0:       http://download.berlios.de/utidylib/%{oname}-%{version}.zip
# Upstream bug: 
# http://developer.berlios.de/bugs/?func=detailbug&bug_id=14691&group_id=1810
Patch0:        python-tidy-0.2-64-bit-safe.patch
Requires:      python >= 2.5 libtidy >= 0.99.0
BuildRequires: python-devel >= 2.5
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Python wrapper (bindings) for tidylib, this allows you to tidy HTML
files through a Pythonic interface.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc LICENSE README.txt
%{python_sitelib}/*

%changelog
* Sat Oct 18 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.2-4
- Not 64 bits clean, #467246, thanks to Jose Pedro Oliveira
  for report and patch.

* Sun Feb 17 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.2-3
- Fix license (again)

* Sun Feb 17 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.2-2
- Simplify %%files
- Fix license, req and group

* Sat Feb 16 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.2-1
- Initial build.

